Subject: [Fot] Giving a talk about Triumphs

From: Greg Petrolati via Fot <[email-masked]>
Date: Thu, 6 Feb 2020 18:57:02 +0000

I’ve been volunteering at The World of Speed in Wilsonville, OR. 

I will be giving a brief presentation of the history of our marque at the museum at 10:30AM on March 7, 2020. 

The museum features “Cars &Coffee on Saturday mornings. I’m hoping that some of my FOT peeps will bring their TRs for display that morning. Then you could come into the museum and laugh at my mistakes...

TIA,
Greg Petrolati

Sent from my iPhone
_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]